std::locale::operator=(3)

NAME
std::locale::operator= - std::locale::operator=

Synopsis
   Defined in header <locale>
   const locale& operator=( const locale& other ) throw(); (until C++11)
   const locale& operator=( const locale& other ) noexcept; (since C++11)
   Creates a copy of other, replacing the contents of *this. The reference counts of
   all facets held by other are incremented. The reference counts of all facets
   previously held by *this are decremented, and those facets whose reference count
   becomes zero are deleted.

Return value
   Returns *this, which is now a copy of other.

Example
    This section is incomplete
    Reason: no example

See also
   constructor constructs a new locale
                 (public member function)